## WebKitDOMHTMLMapElement WebKitDOMHTMLMapElement |

## Functions

WebKitDOMHTMLCollection * | webkit_dom_html_map_element_get_areas ()
gchar * | webkit_dom_html_map_element_get_name ()
void | webkit_dom_html_map_element_set_name ()

## Properties

WebKitDOMHTMLCollection * | areas | Read
char * | name | Read / Write

## Types and Values

struct | WebKitDOMHTMLMapElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLMapElement

## Implemented Interfaces

WebKitDOMHTMLMapElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_map_element_get_areas ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_map_element_get_areas (WebKitDOMHTMLMapElement *self);

`webkit_dom_html_map_element_get_areas` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLMapElement |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_html_map_element_get_name ()

    gchar *
    webkit_dom_html_map_element_get_name (WebKitDOMHTMLMapElement *self);

`webkit_dom_html_map_element_get_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLMapElement |

#### Returns

A gchar

### webkit_dom_html_map_element_set_name ()

    void
    webkit_dom_html_map_element_set_name (WebKitDOMHTMLMapElement *self,
                                          const gchar *value);

`webkit_dom_html_map_element_set_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLMapElement |
value | A gchar |

## Types and Values

### struct WebKitDOMHTMLMapElement

    struct WebKitDOMHTMLMapElement;

## Property Details

### The `“areas”` property

      “areas”                    WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* HTMLMapElement:areas.

Owner: WebKitDOMHTMLMapElement

Flags: Read

### The `“name”` property

      “name”                     char *

read-write gchar* HTMLMapElement:name.

Owner: WebKitDOMHTMLMapElement

Flags: Read / Write

Default value: ""